<?php
/**
 * @package		Ejoshop Cart Items Module
 * @subpackage	modAjaxEgcartHelper
 * @copyright	Copyright (C) 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

class modEjoshopLatestItemHelper
{
	var $items;
	
	public function getItemsCart($module_params)
	{
		// settings
		$id = $module_params->get('id', 0);
		
		$show_cost	= $module_params->get('show_cost', 0);
		$exclude_items	= $module_params->get('exclude_items', 0);
		$params		= JComponentHelper::getParams('com_ejoshop');
	
		$db = JFactory::getDBO();
		$option   = JRequest::getCmd('option');
		$view   = JRequest::getCmd('view');
		$temp   = JRequest::getString('id');
		$item = new stdClass();
		$item->title = '';

		
		require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'models'.DS.'ejoshoppayd.php');


		
		if (! class_exists('EjoshopLoader')) {
			require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'libraries'.DS.'loader.php');
		}
		ejoshopimport('ejoshop.render.rendercurrency');
		ejoshopimport('ejoshop.render.renderdetail');

		$document = JFactory::getDocument();
		$detail_cpb = $params->get('detail_color_photo_border', 'EEEEEE');
		$detail_cct = $params->get('detail_color_cart_table',   'EEEEEE');
		$detail_ccb = $params->get('detail_color_cart_button',  'D1D1D1');
		$detail_ccbo = $params->get('detail_color_cart_border',  'EEEEEE');
		$style = '
			p.photo a.cboxElement img, div.photo a.cboxElement img {
				background: none repeat scroll 0 0 #FFFFFF;
				border: 2px solid #'.$detail_cpb.';
				margin: 5px;
				padding: 5px;
			}
			html body ul#producti li a.addtocart,html body a.egnext, html body a.addcomment-button, .detail-module-items ul#producti li a.addtocart {
				background: #'.$detail_ccb.';

			}

	
			';
			
		$document->addStyleDeclaration($style);
		// TRUE - from model
		$model = new EjoshopRenderDetail();
		$items = $model->getProducts(0, 5, TRUE,$exclude_items);


		$items = self::processItems($items,0,$params);

		//$item->mod_params = $module_params;
		return $items; 
	}
	
	

	 function processItems ($items,$sub = false,$params){
	 
		$CurencyClass = new EjoshopRenderCurrency();
		$exloadIntl = $CurencyClass->is_extension_loaded('intl');
		
		
		$auto_convert_currency = $params->get('convert_currency');
		$defcurrency = $params->get('currency');
		if($auto_convert_currency)  {
			$sitecurrency = $CurencyClass->getCurrencyAbbr();
		} 
		$sitecurrency = (!isset($sitecurrency)) ? 0 : $sitecurrency; 


		
		/*        */
			
		for($i = 0; $i < count($items); $i++) {
			$items[$i]->currency = ($items[$i]->currency == -1) ? $defcurrency : $items[$i]->currency;
			if($items[$i]->currency < 0) $items[$i]->currency = $params->get('currency');
		
				if($auto_convert_currency && !$exloadIntl)  {
					$items[$i]->currencyl = $CurencyClass->getCurrencyName($sitecurrency);
				} else if(!$auto_convert_currency && !$exloadIntl) {
					$items[$i]->currencyl = $CurencyClass->getCurrencyName($items[$i]->currency);
				} else {

					$items[$i]->currencyl = '';
				}

		
				
				/*           */
				if($items[$i]->currency != $sitecurrency && $auto_convert_currency) {

					$items[$i]->price = $CurencyClass->currency(strtoupper($items[$i]->currency),strtoupper($sitecurrency),$items[$i]->price);
					
				} else if(!$auto_convert_currency){ /*      */

					$items[$i]->price = $CurencyClass->getValue($items[$i]->price,$items[$i]->currency);
				} else if($items[$i]->currency == $sitecurrency && $auto_convert_currency){
				
					$items[$i]->price = $CurencyClass->currency(strtoupper($items[$i]->currency),strtoupper($sitecurrency),$items[$i]->price);
				}

			
			$catalias = '';
			if(!empty($items[$i]->catalias))	{
				$catalias = $items[$i]->catalias;
			}
			if($sub) {
				$items[$i]->detail = JRoute::_(JURI::base().'index.php?option=com_ejoshop&view=category&id='.$items[$i]->catid.':'.$catalias);
			} else {
				(!empty($items[$i]->alias)) ? $a = ':'.$items[$i]->alias : $a = '';
				$items[$i]->detail = JRoute::_(JURI::base().'index.php?option=com_ejoshop&view=detail&catid='.$items[$i]->catid.':'.$catalias.'&id='.$items[$i]->id.$a);
			}

			if($auto_convert_currency && !$exloadIntl)  {
				$items[$i]->price_with_currency = $CurencyClass->getCurrencyName($sitecurrency,$items[$i]->price);
			} else if(!$auto_convert_currency && !$exloadIntl) {
				$items[$i]->price_with_currency = $CurencyClass->getCurrencyName($items[$i]->currency,$items[$i]->price);
			} else {
						
				$items[$i]->price_with_currency = $items[$i]->price; //     NumberFormatter
			}
			$items[$i] = self::getPhotooutput($items[$i]);
		}	
		return $items; 
	}
	
	function getPhotooutput($item) {

		$uri = $item->uri;
		$path = JURI::root(false).$uri;
		$path_parts = pathinfo($path.$item->filename);
		$thumb_s = $path_parts['filename'].'_s.'.$path_parts['extension'];
		$op = $item->sizethumb;
		
		$newfileimgsrc = $path.'_s.png';
	
		if(!empty($op)) {
		
			$thumb = $path.$op;
		} else {
			$thumb = $path.$thumb_s;
		}
		
		$imgsrc = $path.$item->filename;
		/* detail photo */
		if(is_file(JPATH_ROOT.DS.$uri.$op)) {
			$item->photooutput = '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
		/* thumb photo */	
		} else if(is_file(JPATH_ROOT.DS.$uri.$thumb_s)) { 
			$item->photooutput = '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
		/* no photo */	
		} else {
			$item->photooutput = '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a>';
		}
		
		return $item;
	}
}
